> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Component Access Right



## OpenAPI

````yaml Customer post /addComponentAccessRight
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /addComponentAccessRight:
    post:
      operationId: postAddcomponentaccessright
      parameters:
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddComponentAccessRightRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    AddComponentAccessRightRequest:
      type: object
      properties:
        groupId:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
        application:
          type: string
          nullable: true
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````